Bug 257844 - editors/jucipp: Update to 1.7.0
Summary: editors/jucipp: Update to 1.7.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL: https://gitlab.com/cppit/jucipp/-/rel...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-08-14 20:27 UTC by Mohammad S. Babaei
Modified: 2021-08-19 05:45 UTC (History)
1 user (show)

See Also:


Attachments
editors/jucipp v1.6.3 to v1.7.0 patch file (2.45 KB, patch)
2021-08-14 20:27 UTC, Mohammad S. Babaei
info: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mohammad S. Babaei 2021-08-14 20:27:42 UTC
Created attachment 227194 [details]
editors/jucipp v1.6.3 to v1.7.0 patch file

New features:

* Added menu item to create new Rust projects
* Added possibility to add custom commands in a new menu item Commands
* Language client: added support for refactor code actions at cursor position using Apply Fix-its menu item. Availability of refactorings is not shown to keep visual noise to a minimum.
* Added support for Go projects
* Added compile and run support for Julia
* Language client: added support for type declaration and implementation location
* Language client: added completionItem/resolve request to fetch details and documentation of incomplete completion items
* Parallel parameter is added on systems with more than one CPU cores to default value in preference item project.cmake.compile_command
* Added possibility of automatic installation of Rust and rust-analyzer
* Added Switch File Type to File menu
* Added Close Other Files to File menu


Cleanups, bugfixes and other improvements:

* Added cancel dialog if grep or ctags processes exceed 10 seconds
* Let theme decide if tree lines should be enabled in directories view
* Fixed potential crash on directory update when trying to colorize a deleted folder
* Fixed Open With Default Application menu item in directory view for file paths with special characters
* Now makes sure build directory is created before building and debugging Rust programs
* Fixed Rust debug value formatter
* Added extra executable lookup for rust-analyzer
* New Project menu items now also add .gitignore files
* Copying from diff buffer now omits + or - at start of lines
* Corrected extend selection on HTML and JSX elements
* MacOS: fixed selection marks when selecting text through mouse drag
* Fixed autocomplete at start of buffer
* Improved extend selection for non-bracket languages like Python and Julia
* Tab width set to 4 in terminal as well
* Improved C/C++ include fixits
* Made use of the nlohmann/json library due to lacking JSON capabilities in Boost::PropertyTree
* Improved positioning of tooltips
* Made similar symbol tags more visibile when using dark themes
* Made use of prettier library when possible to speed up prettier formatting
* Improved entry in selection dialog on MacOS
* Improved spellcheck inside ''
* Fixed complete insertion of dollar signs in generic buffers
* Slightly more efficient autocomplete in generic buffers
* Added support for Python docstring :: code blocks
* Language client: added support for workspaceFolders
* File path in status bar is now relative to opened folder if file is within this folder
* Search options are saved between sessions
* Moved Find File from Source to File menu
Comment 1 Fernando Apesteguía freebsd_committer 2021-08-18 07:37:35 UTC
^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.


Thanks!
Comment 2 Mohammad S. Babaei 2021-08-18 11:49:18 UTC
Done! Thank you for reminding me.
Comment 3 commit-hook freebsd_committer 2021-08-19 05:45:25 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=f90b96af9f84689e95612d669b045242940c32d4

commit f90b96af9f84689e95612d669b045242940c32d4
Author:     Mohammad S. Babaei <info@babaei.net>
AuthorDate: 2021-08-18 08:34:32 +0000
Commit:     Fernando Apesteguía <fernape@FreeBSD.org>
CommitDate: 2021-08-19 05:36:51 +0000

    editors/jucipp: Update to 1.7.0

    ChangeLog: https://gitlab.com/cppit/jucipp/-/releases#v1.7.0

    While here add missing LIB_DEPEND

    PR:     257844

 editors/jucipp/Makefile | 11 ++++++-----
 editors/jucipp/distinfo | 10 +++++-----
 2 files changed, 11 insertions(+), 10 deletions(-)
Comment 4 Fernando Apesteguía freebsd_committer 2021-08-19 05:45:57 UTC
Committed,

Thanks!